Subject: Re: bug#61748: 27.2; Eglot should use shell-file-name when launching the language server for a remote file

From: Michael Albinus <[email-masked]>
Date: Tue, 28 Feb 2023 16:15:33 +0100

João Távora <[email-masked]> writes:

Hi João,

>> > For me, a change to a variable should take effect immediately,
>> > no reboots or restarts.  If you're satisfied with less, suit yourself
>> > (maybe you're on M$ windows?).
>>
>> For Tramp, you shall take into account that it uses caches heavily. A
>> variable change, w/o propagating to the cache, has no effect.
>
> Indeed, as the adage goes, cache invalidation is a hard problem of
> computer science, we deal with it every day.  But it's a bit unfair to expect
> the user to solve it.

I don't expect a user to solve it. And a user shouldn't expect that
changing a variable is sufficient. There's more to consider.

> João

Best regards, Michael.